Bug 1410594 - Review Request: beaker - Full-stack software and hardware integration testing system
Summary: Review Request: beaker - Full-stack software and hardware integration testing...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 20:25 UTC by greg.hellings
Modified: 2017-03-22 14:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-15 18:22:19 UTC
Type: ---
mrunge: fedora-review+


Attachments (Terms of Use)

Description greg.hellings 2017-01-05 20:25:42 UTC
Spec URL: https://fedorapeople.org/~greghellings/python-beaker/python-beaker.spec
SRPM URL: https://fedorapeople.org/~greghellings/python-beaker/python-beaker-23.3-1.fc25.src.rpm
Description: Beaker is a full stack software and hardware integration testing system, with the ability to manage a globally distributed network of test labs.
Fedora Account System Username: greghellings

Comment 1 Matthias Runge 2017-02-22 07:56:22 UTC
I'll do the review.

Comment 2 Matthias Runge 2017-02-22 10:48:02 UTC
There is already a package named python-beaker

https://admin.fedoraproject.org/pkgdb/package/rpms/python-beaker/

Fedora moves to python3, is it possible to add a python3 subpackage as well?

I saw, there was a newer release, please update the package.

Comment 3 greg.hellings 2017-02-22 16:13:44 UTC
I'm going to try renaming the package to just "beaker", since that is the upstream name for it.

Comment 4 greg.hellings 2017-02-22 20:50:58 UTC
The package does not support Python3 at present. Here's the updated spec and SRPM for 24.0.

SRPM: https://fedorapeople.org/~greghellings/beaker/beaker-24.0-1.fc25.src.rpm
Spec: https://fedorapeople.org/~greghellings/beaker/beaker.spec

Comment 5 Matthias Runge 2017-02-23 08:39:40 UTC
additional nits:
- you missed a changelog entry for 0.24
- please rename python2-beaker-common and python2-beaker-client to avoid clashes with python-beaker (the other package)
- you shouldn't need to require python itself.
- this bundles jquery-2, please remove /Server/bkr/server/static/javascript/jquery-2.0.2.min.js and replace it with requires: js-jquery (and add a link, whatever)
- please add info about bundled libraries, see https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries
- please look into upgrading jquery-ui, and add bundles for it
  https://www.cvedetails.com/cve/CVE-2010-5312/

are you planning to add subpackages for server, lab-controller and integration tests?

Comment 6 greg.hellings 2017-02-23 15:43:24 UTC
(In reply to Matthias Runge from comment #5)
> additional nits:
> - you missed a changelog entry for 0.24

Oops! Added that back in

> - please rename python2-beaker-common and python2-beaker-client to avoid
> clashes with python-beaker (the other package)

Do you have a suggestion on naming? "beaker-client" and "beaker-common" are what the packages are called in pip, and this avoids a naming interference with the other project also called "beaker". Thus, "beaker-client" is the name people will be expecting to find if they are searching for the package. I'm not sure we'll ever see a naming collision with the other beaker project, as the other one doesn't divide into subpackages.

> - you shouldn't need to require python itself.

I've removed this.

> - this bundles jquery-2, please remove
> /Server/bkr/server/static/javascript/jquery-2.0.2.min.js and replace it with
> requires: js-jquery (and add a link, whatever)
> - please add info about bundled libraries, see
> https://fedoraproject.org/wiki/Packaging:
> Guidelines#Bundling_and_Duplication_of_system_libraries
> - please look into upgrading jquery-ui, and add bundles for it
>   https://www.cvedetails.com/cve/CVE-2010-5312/
> 
> are you planning to add subpackages for server, lab-controller and
> integration tests?

I already remove the entire Server directory before build beacause it has a LARGE number of bundled dependencies it depends on (jQuery/jQuery-ui are included in the source, and there's around a dozen other source tarballs from other github projects that need to be included for those subpackages to build). I have no intention of packaging Server as I do not intend to package all of those dependencies also.

The upstream project releases full RPM builds for the server and lab controller systems which are of specialized interest to server room maintainers. I plan to leave that completely in their purview rather than trying to bundle all of those subpackages.

Comment 7 Matthias Runge 2017-02-24 14:18:14 UTC
ok, got you.

The suggestion to name the subpackages beaker-client and beaker-common sounds good to me.

Comment 9 Matthias Runge 2017-03-02 07:06:12 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

That's probably due to my setup here. I can not see any issues.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "*No copyright* GPL (v2 or later)", "GPL (v2
     or later)", "*No copyright* CC by-sa (v3.0)", "Unknown or generated".
     433 files have unknown license. Detailed output of licensecheck in
     /home/mrunge/review/1410594-beaker/licensecheck.txt

Files containing licenses other than listed in License field are deleted.

[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-
     packages/bkr
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/bash-
     completion(kmod, dnf, rpmdevtools, glib2, python-pip, bash-completion,
     subversion, rpmlint, yum, python3-pip, fedpkg, devscripts-
     checkbashisms, licensecheck, git-core), /usr/share/bash-
     completion/completions(kmod, dnf, rpmdevtools, glib2, python-pip,
     firewalld, bash-completion, subversion, rpmlint, yum, python3-pip,
     fedpkg, devscripts-checkbashisms, licensecheck, git-core)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in beaker-
     common , beaker-client
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.3.3 starting (python version = 3.5.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.3.3
INFO: Mock Version: 1.3.3
Finish: chroot init
INFO: installing package(s): /home/mrunge/review/1410594-beaker/results/beaker-common-24.0-2.fc26.noarch.rpm /home/mrunge/review/1410594-beaker/results/beaker-client-24.0-2.fc26.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-armhfp/root/ --releasever 26 --disableplugin=local --setopt=deltarpm=false install /home/mrunge/review/1410594-beaker/results/beaker-common-24.0-2.fc26.noarch.rpm /home/mrunge/review/1410594-beaker/results/beaker-client-24.0-2.fc26.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: beaker-common-24.0-2.fc26.noarch.rpm
          beaker-client-24.0-2.fc26.noarch.rpm
          beaker-24.0-2.fc26.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Requires
--------
beaker-common (rpmlib, GLIBC filtered):
    python(abi)

beaker-client (rpmlib, GLIBC filtered):
    /usr/bin/python
    libxml2-python
    libxslt-python
    python(abi)
    python-jinja2
    python-krbV
    python-lxml
    python-prettytable
    python-requests
    python-setuptools
    python2-beaker-common



Provides
--------
beaker-common:
    beaker
    beaker-common
    python2.7dist(beaker-common)
    python2dist(beaker-common)

beaker-client:
    beaker-client
    python2.7dist(beaker-client)
    python2dist(beaker-client)



Source checksums
----------------
https://beaker-project.org/releases/beaker-24.0.tar.xz :
  CHECKSUM(SHA256) this package     : 609981a3b6e69ae705aca6811f0967c40f30a5551788e9d25a1d8cd3374c4fee
  CHECKSUM(SHA256) upstream package : 609981a3b6e69ae705aca6811f0967c40f30a5551788e9d25a1d8cd3374c4fee


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1410594
Buildroot used: fedora-rawhide-armhfp
Active plugins: Python, Generic, Shell-api



Issues:

- please use obsoletes: rhts-devel < 4.52
instead of Conflicts:      rhts-devel < 4.52

There is no package rhts in fedora, thus this can be fixed during import.

Package approved.

Comment 10 Gwyn Ciesla 2017-03-06 16:04:34 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/beaker

Comment 11 Fedora Update System 2017-03-06 18:02:40 UTC
beaker-24.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5cd9888d88

Comment 12 Fedora Update System 2017-03-06 18:08:26 UTC
beaker-24.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bba78c4fd6

Comment 13 Fedora Update System 2017-03-06 20:42:17 UTC
beaker-24.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-28f8a1b802

Comment 14 Fedora Update System 2017-03-06 20:47:14 UTC
beaker-24.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0bc12c3889

Comment 15 Fedora Update System 2017-03-07 01:51:32 UTC
beaker-24.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5cd9888d88

Comment 16 Fedora Update System 2017-03-07 05:54:07 UTC
beaker-24.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bba78c4fd6

Comment 17 Fedora Update System 2017-03-07 13:49:02 UTC
beaker-24.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0bc12c3889

Comment 18 Fedora Update System 2017-03-07 14:22:01 UTC
beaker-24.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-28f8a1b802

Comment 19 Fedora Update System 2017-03-15 18:22:19 UTC
beaker-24.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-03-22 14:49:03 UTC
beaker-24.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.